Get Order
curl --request GET \
--url https://dashboard.statproxies.com/api/v2/order/fetch/{order_id}import requests
url = "https://dashboard.statproxies.com/api/v2/order/fetch/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dashboard.statproxies.com/api/v2/order/fetch/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": "<string>",
"order": {},
"order.order_id": "<string>",
"order.subscription_id": "<string>",
"order.product_type": "<string>",
"order.quantity": 123,
"order.unix_purchase_date": 123,
"order.unix_expiration_date": 123,
"order.proxy_username": "<string>",
"order.proxy_password": "<string>",
"order.proxies": [
{}
]
}Order API
Get Order
Retrieve proxy details for a specific order.
GET
/
api
/
v2
/
order
/
fetch
/
{order_id}
Get Order
Retrieve detailed proxy information for a specific order, including all assigned IP addresses.
Request
Headers
| Header | Value | Required |
|---|---|---|
Authorization | Bearer {your_api_key} | Yes |
Path Parameters
string
required
The order ID returned from order creation.
Query Parameters
string
Proxy output format. Options:
ipup-ip:port:username:password(default)upip-username:password:ip:portupaip-username:password@ip:portobject- JSON object format
Example Requests
Default Format
curl -X GET "https://dashboard.statproxies.com/api/v2/order/fetch/sub_1rqjp3jb4g9i6pkhdwmkpjob" \
-H "Authorization: Bearer {your_api_key}"
Custom Format
curl -X GET "https://dashboard.statproxies.com/api/v2/order/fetch/sub_1rqjp3jb4g9i6pkhdwmkpjob?format=object" \
-H "Authorization: Bearer {your_api_key}"
Response
Success Response
{
"response": "success",
"order": {
"order_id": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"subscription_id": "sub_1RqJP3JB4G9i6PKHDwmKPJOb",
"product_type": "captcha",
"quantity": 10,
"unix_purchase_date": 1753815092,
"unix_expiration_date": 1756493492,
"proxy_username": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"proxy_password": "stat261",
"proxies": [
"31.193.191.6:3128:sub_1rqjp3jb4g9i6pkhdwmkpjob:stat261",
"31.193.191.7:3128:sub_1rqjp3jb4g9i6pkhdwmkpjob:stat261",
"31.193.191.8:3128:sub_1rqjp3jb4g9i6pkhdwmkpjob:stat261"
]
}
}
Success Response (Object Format)
{
"response": "success",
"order": {
"order_id": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"subscription_id": "sub_1RqJP3JB4G9i6PKHDwmKPJOb",
"product_type": "captcha",
"quantity": 10,
"unix_purchase_date": 1753815092,
"unix_expiration_date": 1756493492,
"proxy_username": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"proxy_password": "stat261",
"proxies": [
{
"ip": "31.193.191.6",
"port": 3128,
"username": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"password": "stat261"
},
{
"ip": "31.193.191.7",
"port": 3128,
"username": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
"password": "stat261"
}
]
}
}
Response Fields
string
Status of the request.
object
Order details object.
string
Unique order identifier.
string
Stripe subscription ID.
string
Product type identifier.
integer
Number of proxies in the order.
integer
Purchase timestamp (Unix epoch).
integer
Expiration timestamp (Unix epoch).
string
Authentication username for all proxies in this order.
string
Authentication password for all proxies in this order.
array
Array of proxy strings or objects (depending on format).
Error Responses
404 Not Found
{
"message": "Order not found"
}
503 Service Unavailable
{
"message": "Unable to fetch IP from servers"
}
Notes
- Use the
order_id(notsubscription_id) for fetching proxy details - All proxies in an order share the same username and password
- The proxy port is typically
3128for HTTP/HTTPS proxies
